at.chipkarte.client.elgaad.soap

## Class Kommentar

- Object
- - at.chipkarte.client.elgaad.soap.Kommentar

-     public class Kommentar
      extends Object

  Kommenatardaten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Kommentar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorBody[]` | `getAutoren()` Angaben zu den Authoren.
    `Author[]` | `getInformantGDA()` Angaben den weiteren GDAs.
    `Verwandter[]` | `getInformantVerwandter()` Angabe zu Verwandschaft.
    `String` | `getText()` Kommentartext.
    `void` | `setAutoren(AuthorBody[] autoren)`
    `void` | `setInformantGDA(Author[] informantGDA)`
    `void` | `setInformantVerwandter(Verwandter[] informantVerwandter)`
    `void` | `setText(String text)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Kommentar

          public Kommentar()

  - ### Method Detail

    - #### getText

          public String getText()

      Kommentartext.
      Angabe: Muss.
      Format: maximal 3000-stellig
      Returns:
        Kommentartext.

    - #### setText

          public void setText(String text)

    - #### getAutoren

          public AuthorBody[] getAutoren()

      Angaben zu den Authoren. Siehe `AuthorBody`.
      Angabe: Muss.
      Returns:
        Id

    - #### setAutoren

          public void setAutoren(AuthorBody[] autoren)

    - #### getInformantGDA

          public Author[] getInformantGDA()

      Angaben den weiteren GDAs. Siehe `Author`.
      Angabe: Kann.
      Returns:
        InformantGDA

    - #### setInformantGDA

          public void setInformantGDA(Author[] informantGDA)

    - #### getInformantVerwandter

          public Verwandter[] getInformantVerwandter()

      Angabe zu Verwandschaft. Siehe `Verwandter`.
      Angabe: Kann.
      Returns:
        InformantVerwandter

    - #### setInformantVerwandter

          public void setInformantVerwandter(Verwandter[] informantVerwandter)